Subject: bug#21568: [PATCH] Add prettify-symbols-alist for js-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Sep 2015 22:46:45 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 27 Sep 2015 22:13:20 +0300
> 
> On 09/27/2015 09:37 PM, Eli Zaretskii wrote:
> 
> >> Especially in the form it was presented: adding those cookies everywhere
> >> conflicts with that bit of knowledge I've had in my head that since some
> >> recent Emacs version having UTF-8 in Elisp files is not a problem.
> >
> > That's a misrepresentation of what the text says. It explicitly does
> > NOT require cookies in ELisp files that are encoded in UTF-8.
> 
> Right (so I'd only change CONTRIBUTE to say that one needn't bother with 
> cookies in *.el files, except in those that are also distributed 
> separately).

No, please leave that text alone.  It's okay the way it is.

> What I'm referring to is requests such as this one, which I believe 
> was/is misleading:
> 
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21568#8

I disagree that it was misleading.

> Let's not add that to the general practice.

Now that we have that text in CONTRIBUTE, that's all there is to say.

> > With all due respect, I will bring up whatever issues I think are
> > important when discussing patches.  Please feel free to bring up those
> > that you feel to be important.
> 
> But there was no issue with that patch. js-mode is not distributed 
> separately from Emacs.

I explained my reasons right there and then.

I really don't understand what this attack on me is about.